Bug 213214 - CVE-2006-5619 Lockup via /proc/net/ip6_flowlabel
Summary: CVE-2006-5619 Lockup via /proc/net/ip6_flowlabel
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Thomas Graf
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,source=vendorsec,rep...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-31 10:07 UTC by Marcel Holtmann
Modified: 2014-06-18 08:29 UTC (History)
4 users (show)

Fixed In Version: RHSA-2007-0014
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 14:36:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0014 normal SHIPPED_LIVE Important: kernel security update 2007-01-30 14:25:00 UTC

Description Marcel Holtmann 2006-10-31 10:07:11 UTC
From James Morris:

There's a bug in the seqfile handling for /proc/net/ip6_flowlabel, where, after
finding a flowlabel, the code will loop forever not finding any further
flowlabels, first traversing the rest of the hash bucket then just looping. This
bug can cause lockups and oopses, and is trivially invoked by an unpriveleged user.

Comment 3 Jason Baron 2006-12-11 22:14:45 UTC
committed in stream U5 build 42.30. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 5 Jason Baron 2006-12-18 21:51:17 UTC
committed in stream E5 build 42.0.4

Comment 7 Mike Gahagan 2007-01-17 21:04:57 UTC
verified using the attached test case.


Comment 9 Red Hat Bugzilla 2007-01-30 14:36:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0014.html



Note You need to log in before you can comment on or make changes to this bug.